Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::SystemException Class Reference

SystemException. More...

`#include <Exception.h>`

Inheritance diagram for CORBA::SystemException:

[legend]
Collaboration diagram for CORBA::SystemException:

[legend]
List of all members.

## Public Methods
| SystemException (void)
| Default constructtor.
| SystemException (const SystemException &src)
| Copy constructor.
| ~SystemException (void)
| Destructor.
SystemException & | operator= (const SystemException &src)
| Assignment operator.
ULong | minor (void) const
| Get the minor status.
void | minor (ULong m)
| Set the minor status.
CORBA::CompletionStatus | completed (void) const
| Get the completion status.
void | completed (CORBA::CompletionStatus c)
| Set the operation completion status.
virtual void | _raise (void) const=0
virtual int | _is_a (const char *type_id) const
| Helper for the _downcast operation.
void | _tao_print_system_exception (FILE *f=stdout) const
virtual ACE_CString | _info (void) const
virtual void | _tao_encode (TAO_OutputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::Exception * | _tao_duplicate (void) const
## Static Public Methods
SystemException * | _downcast (CORBA::Exception *exception)
| Narrow to a SystemException.
const SystemException * | _downcast (const CORBA::Exception *exception)
| The const version of narrow operation to a SystemException.
CORBA::ULong | _tao_minor_code (u_int location, int errno_value)
| Helper to create a minor status value.
CORBA::ULong | _tao_errno (int errno_value)
## Protected Methods
| SystemException (CORBA::ULong code, CORBA::CompletionStatus completed)
| Constructor using a repository id.
| SystemException (const char *repository_id, const char *local_name, CORBA::ULong code, CORBA::CompletionStatus completed)
| Constructor using a repository id.
## Static Protected Methods
const char * | _tao_get_omg_exception_description (const CORBA::SystemException &exc, CORBA::ULong minor_code)
## Private Attributes
CORBA::ULong | minor_
| Minor code.
CORBA::CompletionStatus | completed_
| Completion status.

## Detailed Description

SystemException.

System exceptions are those defined in the CORBA spec; OMG-IDL defines these.

## Constructor & Destructor Documentation

CORBA::SystemException::SystemException | ( | void |  | ) |

| Default constructtor.

CORBA::SystemException::SystemException | ( | const SystemException & | src | ) |

| Copy constructor.

CORBA::SystemException::~SystemException | ( | void |  | ) |

| Destructor.

CORBA::SystemException::SystemException | ( | CORBA::ULong | code,
|  | CORBA::CompletionStatus | completed
| ) | `[protected]`

| Constructor using a repository id.

CORBA::SystemException::SystemException | ( | const char * | repository_id,
|  | const char * | local_name,
|  | CORBA::ULong | code,
|  | CORBA::CompletionStatus | completed
| ) | `[protected]`

| Constructor using a repository id.

## Member Function Documentation

const CORBA::SystemException * CORBA::SystemException::_downcast | ( | const CORBA::Exception * | exception | ) | `[static]`

| The const version of narrow operation to a SystemException.

CORBA::SystemException * CORBA::SystemException::_downcast | ( | CORBA::Exception * | exception | ) | `[static]`

| Narrow to a SystemException. Reimplemented from CORBA::Exception.

ACE_CString CORBA::SystemException::_info | ( | void |  | ) | const`[virtual]`

| Returns a string containing information about the exception. This function is not CORBA compliant. Implements CORBA::Exception.

int CORBA::SystemException::_is_a | ( | const char * | type_id | ) | const`[virtual]`

| Helper for the _downcast operation. Reimplemented from CORBA::Exception.

virtual void CORBA::SystemException::_raise | ( | void |  | ) | const`[pure virtual]`

| Implements CORBA::Exception.

void CORBA::SystemException::_tao_decode | ( | TAO_InputCDR &cdr | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Implements CORBA::Exception.

virtual CORBA::Exception* CORBA::SystemException::_tao_duplicate | ( | void |  | ) | const`[inline, virtual]`

| Overridden base class method to help compilers that use explicit template instantiations going Implements CORBA::Exception.

void CORBA::SystemException::_tao_encode | ( | TAO_OutputCDR &cdr | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::ULong CORBA::SystemException::_tao_errno | ( | int | errno_value | ) | `[static]`

| Helper to translate a platform-specific errno to a TAO errno value.

const char * CORBA::SystemException::_tao_get_omg_exception_description | ( | const CORBA::SystemException & | exc,
|  | CORBA::ULong | minor_code
| ) | `[static, protected]`

| Return the exception description associated with the given OMG minor code.

CORBA::ULong CORBA::SystemException::_tao_minor_code | ( | u_int | location,
|  | int | errno_value
| ) | `[static]`

| Helper to create a minor status value.

void CORBA::SystemException::_tao_print_system_exception | ( | FILE * | f = stdout | ) | const

| Print the system exception `ex` to output determined by `f`. This function is not CORBA compliant.

ACE_INLINE void CORBA::SystemException::completed | ( | CORBA::CompletionStatus | c | ) |

| Set the operation completion status.

ACE_INLINE CORBA::CompletionStatus CORBA::SystemException::completed | ( | void |  | ) | const

| Get the completion status.

ACE_INLINE void CORBA::SystemException::minor | ( | ULong | m | ) |

| Set the minor status.

ACE_INLINE CORBA::ULong CORBA::SystemException::minor | ( | void |  | ) | const

| Get the minor status.

CORBA::SystemException & CORBA::SystemException::operator= | ( | const SystemException & | src | ) |

| Assignment operator.

## Member Data Documentation

CORBA::CompletionStatus CORBA::SystemException::completed_`[private]`

| Completion status.

CORBA::ULong CORBA::SystemException::minor_`[private]`

| Minor code.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp
- Exception.i